%define name xmms
%define version 1.0.1
%define prefix %{_prefix}

Summary: XMMS - The Sound player with the WinAmp GUI
Name: %{name}
Version: %{version}
Release: 10mdk
Copyright: GPL
Group: Sound
Icon: xmms-logo.xpm
URL: http://www.xmms.org/
Source0: http://www.xmms.org/%{name}-%{version}.tar.bz2

Source2: gnomexmms.desktop.bz2
Source3: xmms.desktop.bz2
Source4: %{name}-icons.tar.bz2
Source5: %{name}
Source6: %{name}.xpm.bz2
Source7: %{name}-32.xpm.bz2
# to remove for 1.0.2
Source8: xmms-1.0.1-pofiles.tar.bz2

Patch0: xmms-1.0.1-i18n.diff.bz2
Patch1: xmms-1.0.1-big5.diff.bz2
Patch2: %{name}-0.9.5-audio.patch.bz2
Patch3: xmms-1.0.0-latin1_text.diff.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: glib >= 1.2.5 gtk+ >= 1.2.5
Obsoletes: x11amp

%description
XMMS is a sound player written from scratch. Since it uses the WinAmp GUI, it
can use WinAmp skins, and play mp3s, mods, s3ms, and other formats. It now has
support for input, output, and general plugins, and has also been GPLd.

%package devel
Summary: XMMS - Development package with static libs and headers
Group: Development/C
Icon: xmms-devel-logo.xpm
Requires: %{name} = %{version}

%description devel
Static libraries and header files required for compiling xmms plugins.

%package esd
Summary: XMMS - ESound output backend
Group: Sound
Icon: xmms-esd-logo.xpm
BuildPreReq: esound-devel
Requires: %{name} = %{version}
Obsoletes: x11amp-esd
Requires: esound >= 0.2.14

%description esd
Output plugin for xmms for use with the esound package

%package gnome
Summary: XMMS - Gnome applet
Group: Graphical desktop/GNOME
Icon: xmms-gnome-logo.xpm
Requires: %{name} = %{version}
Obsoletes: x11amp-gnome

%description gnome
GNOME applet for controlling xmms from the GNOME panel

%package mikmod
Summary: Sound player with the WinAmp GUI, Mikmod output backend
Group: Sound
Icon: xmms-mikmod-logo.xpm
BuildPreReq: libmikmod-devel
Obsoletes: x11amp-mikmod
Requires: %{name} = %{version}
Requires: libmikmod >= 3.1.6

%description mikmod
Input plugin for XMMS to play MODs (.MOD,.XM,.S3M, etc)

%ifarch i386 i486 i586 i686 k6 k7
%package mesa
Summary: XMMS - Visualization plugins that use the Mesa3d library
Group: Sound
Icon: xmms-mesa-logo.xpm
Requires: %{name} = %{version}
BuildPreReq: Mesa-devel

%description mesa
3D Visualization plugins for XMMS that use the Mesa3d library.

%endif

%prep
%setup

%patch0 -p1 -b .i18n
#%patch1 -p1 -b .big5
%patch2 -p1 -b .audio
%patch3 -p1 -b .latin1_text

%build
rm -rf $RPM_BUILD_ROOT

libtoolize --force
aclocal
autoconf

if [ -f "./autogen.sh" ]
then
  CFLAGS="$RPM_OPT_FLAGS `glib-config --cflags` -I/usr/X11R6/include/GL " ./autogen.sh --prefix=%prefix --sysconfdir=/etc
else
  CFLAGS="$RPM_OPT_FLAGS `glib-config --cflags` -I/usr/X11R6/include/GL " ./configure --prefix=%prefix --sysconfdir=/etc
fi

make config.h
# The file Input/mpg123/common.c doesn't work with mmap(); so we change
# the config.h file to don't use mmap()
cp config.h A
cat A | sed 's|#define HAVE_MMAP 1|/* #undef HAVE_MMAP */|' > config.h

CFLAGS="$RPM_OPT_FLAGS"; CPPFLAGS="$RPM_OPT_FLAGS"; CXXFLAGS="$RPM_OPT_FLAGS";
export CFLAGS CPPFLAGS CXXFLAGS

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi


%install
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT/usr/lib/xmms/Effect
mkdir -p $RPM_BUILD_ROOT/usr/lib/xmms/General
mkdir -p $RPM_BUILD_ROOT/usr/lib/xmms/Input
mkdir -p $RPM_BUILD_ROOT/usr/lib/xmms/Output
mkdir -p $RPM_BUILD_ROOT/usr/lib/xmms/Visualization
mkdir -p $RPM_BUILD_ROOT/usr/share/xmms/Skins
mkdir -p $RPM_BUILD_ROOT/usr/doc

make DESTDIR=$RPM_BUILD_ROOT install

install -m644 $RPM_SOURCE_DIR/xmms-logo.xpm $RPM_BUILD_ROOT/usr/share/xmms/xmms.xpm

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/usr/lib/menu/  


# compatibility symlink
[ -r $RPM_BUILD_ROOT%{prefix}/lib/libxmms.so.1 ] && \
	ln -s libxmms.so.1 $RPM_BUILD_ROOT%{prefix}/lib/libxmms.so.0

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
        file $i|grep -q "not stripped" && strip $i
done

mkdir -p ${RPM_BUILD_ROOT}%{prefix}/share/applets/Multimedia
bzcat %{SOURCE2} > \
	${RPM_BUILD_ROOT}%{prefix}/share/applets/Multimedia/gnomexmms.desktop

mkdir -p ${RPM_BUILD_ROOT}%{prefix}/share/gnome/apps/Multimedia
bzcat %{SOURCE3} > \
	${RPM_BUILD_ROOT}%{prefix}/share/gnome/apps/Multimedia/xmms.desktop

mkdir -p ${RPM_BUILD_ROOT}%{prefix}/share/mime-info
cat > ${RPM_BUILD_ROOT}%{prefix}/share/mime-info/xmms.keys << EOF
audio/x-mp3:
	open=xmms %f
	view=xmms %f
EOF
chmod 644 ${RPM_BUILD_ROOT}%{prefix}/share/mime-info/xmms.keys

mkdir -p ${RPM_BUILD_ROOT}%{prefix}/share/pixmaps
if [ ! -r ${RPM_BUILD_ROOT}%{prefix}/share/pixmaps/xmms_logo.xpm ]; then
	cp $RPM_SOURCE_DIR/xmms-logo.xpm \
		${RPM_BUILD_ROOT}%{prefix}/share/pixmaps/xmms.xpm
fi

# install languages by hand
for i in $RPM_SOURCE_DIR/%{name}-*pofiles.tar.bz2 ; do
	# tar yxkvf $i || :
	tar yxvf $i
done
for i in po/*.po ; do
  mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/locale/`basename $i .po`/LC_MESSAGES
  msgfmt -v -o $RPM_BUILD_ROOT/%{prefix}/share/locale/`basename $i .po`/LC_MESSAGES/%{name}.mo $i
done


# icon
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/mini
bzcat %{SOURCE6} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}.xpm
bzcat %{SOURCE7} > $RPM_BUILD_ROOT/%{prefix}/share/icons/%{name}.xpm


%post
/sbin/ldconfig
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi


%postun
/sbin/ldconfig
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%dir %{prefix}/share/xmms
%dir %{prefix}/lib/xmms
%{prefix}/bin/xmms
%{prefix}/bin/wmxmms
%{prefix}/lib/libxmms.so.*
%dir %{prefix}/lib/xmms/Input
%{prefix}/lib/xmms/Input/libcdaudio*
%{prefix}/lib/xmms/Input/libmpg123*
%{prefix}/lib/xmms/Input/libwav*
%{prefix}/lib/xmms/Input/libidcin*
%dir %{prefix}/lib/xmms/Output
%{prefix}/lib/xmms/Output/libOSS*
%{prefix}/lib/xmms/Output/libdisk_writer*
%dir %{prefix}/lib/xmms/General
%{prefix}/lib/xmms/General/*
%dir %{prefix}/lib/xmms/Effect
%{prefix}/lib/xmms/Effect/*
%dir %{prefix}/lib/xmms/Visualization
%{prefix}/lib/xmms/Visualization/libbscope*
%{prefix}/lib/xmms/Visualization/libsanalyzer*
%{prefix}/share/xmms/wmxmms.xpm
%{prefix}/share/xmms/xmms.xpm
%{prefix}/share/icons/%{name}.xpm
%{prefix}/share/icons/mini/%{name}.xpm
%{prefix}/share/locale/*/LC_MESSAGES/xmms.mo
%{prefix}/lib/menu/*

%files devel
%defattr(-,root,root)
%doc COPYING FAQ
%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.la
%{prefix}/include/*
%{prefix}/share/aclocal/xmms.m4
%{prefix}/bin/xmms-config

%files esd
%defattr(-, root, root)
%doc COPYING
%{prefix}/lib/xmms/Output/libesdout*

%files gnome
%defattr(-, root, root)
%doc COPYING
%config /etc/CORBA/servers/*
%{prefix}/bin/gnomexmms
%{prefix}/share/applets/Multimedia/gnomexmms.desktop
# %{prefix}/share/gnome/apps/Multimedia/xmms.desktop
%{prefix}/share/mime-info/xmms.keys
%{prefix}/share/pixmaps/*

%files mikmod
%defattr(-, root, root)
%doc Input/mikmod/COPYING
%{prefix}/lib/xmms/Input/libmikmod*

%ifarch i386 i486 i586 i686 k6 k7
%files mesa
%defattr(-,root,root)
%doc COPYING
%{prefix}/lib/xmms/Visualization/libogl_spectrum*
%endif

%changelog
* Wed May  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-10mdk
- added provides libxmms to enable smooth upgrade of package xmms

* Sat Apr 29 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.1-9mdk
- added a lot of new and improved translation files from our translator teams
- /usr/share/pixmap -> /usr/share/pixmaps

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-8mdk
- fixed menu conflict gnome/menu
- added 32x32 icon
- better directory owns

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-7mdk
- better icon

* Wed Apr  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-6mdk
- now shipping xmms-more-vis-plugins and xmms-kjofol-skins as
  separate packages (thx to Pablo)
- minor fixes of warnings

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-5mdk
- fixed group problem
- fixed missing icon

* Thu Mar 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-4mdk
- add menu support
- patched french translation

* Mon Mar 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-3mdk
- add xmms-more-vis-plugins packages
- add kjofol-skins package
- new groups

* Mon Mar 13 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.1-2mdk
- add xmms-config to devel package or else xmms apps refuse to build
  (reported by Geoffrey Lee <snailtalk@linux-mandrake.com>)
- updated the various language translations

* Fri Feb  4 2000 Andrew Lee <andrew@cle.linux.org.tw> 1.0.1-1mdk
- add Chun-Chung Chen <cjj@u.washington.edu> big5 patch
- update i18n patch, po files and Thanks for jouston@i18n.linux.org.tw
- fix xmms-mesa isn't build
- aclocal
- autoconf

* Thu Feb 03 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.0-2mdk
- moved skins to its own spec file
- made a libxmms.so.0 compatibility symlink

* Mon Jan 31 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.0-1mdk
- upodated to 1.0.0 and applied i18N patches
- added patch for 16bits encodings on song names
- xmms-mesa isn't built... why ?

* Sun Jan 23 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Chinese and Catalan interfaces

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.5.1-9mdk
- use a %_tmpath
 
* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force
- fix naughty things done to Input/mikmod/Makefile.in by the i18n patch
- mesa is x86 only (?)

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
  of libMesa*.so stuff)
- added German interface

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- redo the i18n patch with some improvements
- added (beginning of) ukrainian localization

* Thu Nov 04 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- clean files of gnome pkg
- Updated po files from Pablo

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check
- Update Requires

* Tue Oct 12 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- found a solution to the libmp123.so problem ( mmap() should be used
  the code seems broken; by undefining HAVE_MMAP it works)
  Thanks to Giuseppe Ghibo`

* Mon Oct 04 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added back the i18n support
- and improved the %files sections a bit

* Fri Oct 01 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to 0.9.5.1.

* Sat Sep 25 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added a check for skin path to avoid duplicate entries.
- added Bill Nottingham's <notting@redhat.com> for opening
  in non-blocking mode.

* Thu Sep 23 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to 0.9.5.
- added skins.

* Tue Jul 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed the sources to add full i18n support,
- added menus for Gnome
- some (yet incomplete) *.po files
- there is still a big problem with the compiling of Input/mp123/;
  the rules for assembly disappear when calling autoconf (no definitions
  in config.in :-\ ), and I discovered a bug in common.c that made the
  playlist become crazy (why doesn't it showed up on standard 0.9.1 ??)

* Sat Jul 19 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- Rebuilt for libmikmod 3.1.6 compatibily.

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting libmikmode (we provide now a libmikmod package).
- Add patch compilation.

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix corba files to point to /etc/CORBA/
- Include applets.
- Removing mikmod (we don't provides libmikmode.)

* Sun Jun 27 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- Mandrake adaptions

* Fri Apr 09 1999 Lyle Kempler <kempler@utdallas.edu>
- initial version

